package com.ruoyi.bid.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招标信息对象 bid_info
 * 
 * @author ruoyi
 * @date 2025-12-09
 */
public class BidInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 链接 */
    @Excel(name = "链接")
    private String link;

    /** 发布日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fbDate;

    /** 来源站点 */
    @Excel(name = "来源站点")
    private String sourceSite;

    /** 省份 */
    @Excel(name = "省份")
    private String province;

    /** 客户类型：教育/医疗/政府 */
    @Excel(name = "客户类型：教育/医疗/政府")
    private String customerType;

    /** 预估金额，正则提取 */
    @Excel(name = "预估金额，正则提取")
    private BigDecimal estimatedAmount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setLink(String link) 
    {
        this.link = link;
    }

    public String getLink() 
    {
        return link;
    }

    public void setFbDate(Date fbDate) 
    {
        this.fbDate = fbDate;
    }

    public Date getFbDate() 
    {
        return fbDate;
    }

    public void setSourceSite(String sourceSite) 
    {
        this.sourceSite = sourceSite;
    }

    public String getSourceSite() 
    {
        return sourceSite;
    }

    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }

    public void setCustomerType(String customerType) 
    {
        this.customerType = customerType;
    }

    public String getCustomerType() 
    {
        return customerType;
    }

    public void setEstimatedAmount(BigDecimal estimatedAmount) 
    {
        this.estimatedAmount = estimatedAmount;
    }

    public BigDecimal getEstimatedAmount() 
    {
        return estimatedAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("link", getLink())
            .append("fbDate", getFbDate())
            .append("sourceSite", getSourceSite())
            .append("province", getProvince())
            .append("customerType", getCustomerType())
            .append("estimatedAmount", getEstimatedAmount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
